<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <script>
    var li = ['c', 'e', 'a', 'b', 'd'];
    li.sort(); // 오름차순 정렬
    document.write(li.toString());
    document.write('<br/>');

    li.reverse(); // 역순으로
    document.write(li.toString());
    document.write('<br/>');

    document.write('<br/>');

    li.sort((a, b) => a.localeCompare(b)); // 오름차순 정렬
    document.write(li.toString());
    document.write('<br/>');

    li.sort((a, b) => b.localeCompare(a)); // 내림차순 정렬
    document.write(li.toString());
    document.write('<br/>');
  </script>
</body>
</html>